export class ColumnItem {
    text: string;
    value: string;
    checked: Boolean;
    datatype: string;
    constructor(){
        this.text = '';
        this.value = '';
        this.checked =  false;
        this.datatype = '';
    }
    getIco(){
        let ico : string;
        ico = '';
        switch(this.datatype)
        {
            case 'NUMBER': ico = 'fa fa-thin fa-hashtag'; break;
            case 'DATE': ico = 'fa fa-calendar'; break;
            case 'TEXT': ico = 'fa fa-adn'; break;
        }
        return ico;
    }
}